import Layout from "@/layout/index.vue";

//todo delete 删除动态路由页面的定义 接口会传递进来
// const ems = [
//   {
//     path: '',
//     component: Layout,
//     redirect: 'noRedirect',
//     children: [
//       {
//         path: 'zddt',
//         component: () => import('@/views/ems/zddt/index'),
//         name: 'zddt',
//         meta: { title: '站点地图', icon: 'guide' }
//       }
//     ]
//   }
// ]
// export default ems

//单站监控
// todo 本地设置了 hidden:true,不会显示在侧边栏，需要在系统管理、菜单管理中手动添加菜单后才会展示在侧边栏
export const dzjk=[
  {
    path: '/dzjk',
    component: Layout,
    redirect: '/dzjk/home',
    meta: { title: '单站监控', icon: 'dashboard',},
    alwaysShow: false,
    name:'Dzjk',
    hidden:true,
    children: [
      {
        path: '',
        component: () => import('@/views/ems/dzjk/index'),
        name: 'Dzjk',
        redirect: '/dzjk/home',
        hidden: true,
        children: [
            {
              path: '/dzjk/home',
              component: () => import('@/views/ems/dzjk/home/index.vue'),
              name: 'DjzkHome',
              meta: { title: '首页',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkHome' }
            },
          {
            path: '/dzjk/sbjk',
            component: () => import('@/views/ems/dzjk/sbjk/index.vue'),
            name: 'DjzkSbjk',
            meta: { title: '设备监控',breadcrumb: false,activeMenu: '/dzjk'},
            redirect: '/dzjk/sbjk/ssyx',
            children: [
              {
                path: 'ssyx',
                component: () => import('@/views/ems/dzjk/sbjk/ssyx/index.vue'),
                name: 'DjzkSbjkSsyx',
                meta: { title: '实时运行',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              },
              {
                path: 'pcs',
                component: () => import('@/views/ems/dzjk/sbjk/pcs/index.vue'),
                name: 'DjzkSbjkPcs',
                meta: { title: 'Pcs',breadcrumb: false,activeMenu: '/dzjk',activeSecondMenuName:'DjzkSbjk'},
              }
            ]
          }
        ]
      }
    ]
  }
]



